Page MenuHomePhabricator

Future of HHVM, PHP7, and what it means for the MediaWiki software?
Closed, ResolvedPublic

Description

A third-party user just pinged us about a possible upcoming incompatibility on the notion that Facbook announced [0] it would cease support for PHP compatibility in future be pronouncing that "... HHVM will not aim to target PHP7 ..." and "... making Hack a fantastic language for web development, untethered from its PHP origins ... ".

... cherry-pick features and bug-for-bug compatibilities based on need, and we won’t be targeting any specific PHP 7.x version. Our eventual goal is for Hack to have its own ecosystem of core frameworks
... supporting some PHP libraries, we will not be targeting PHP software beyond such libraries after the 3.24 release

Given those statements and WMF's reliance on HHVM as operational platform, does it consequently mean that MediaWiki in future will (can) no longer be installed on PHP7 because WMF will have to use Hack as development language to support its HHVM operations?

Some insights on how WMF will (or not) support PHP7 (or anything hereafter) in future would be highly appreciated.

[0] http://hhvm.com/blog/2017/09/18/the-future-of-hhvm.html

@Legoktm @tstarling

wikitech-l e-mail thread on the topic

Event Timeline

mwjames created this task.Sep 19 2017, 11:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 11:52 AM
Paladox added a subscriber: Paladox.EditedSep 19 2017, 11:56 AM

There was an email sent on wikitech-i about this asking for people’s thoughts on this.

mwjames updated the task description. (Show Details)Sep 19 2017, 12:03 PM
TheDJ updated the task description. (Show Details)Sep 19 2017, 12:05 PM
mwjames updated the task description. (Show Details)Sep 19 2017, 12:10 PM

There was an email sent on wikitech-i about this asking for people’s thoughts on this.

@Paladox: For future reference, please take the time to provide links. Thanks.

Legoktm closed this task as Resolved.Sep 21 2017, 12:50 AM
Legoktm claimed this task.

The current plan is to migrate Wikimedia to PHP 7 (T176370: Migrate to PHP 7 in WMF production). Once that's done, HHVM support will likely be dropped from MediaWiki (exact details tbd).